Retrieves all the user_planning_slot

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

user_planning_slot
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

user_id

Foreign key to user.

globally unique identifier

Required

user_planning_slot_type_id

Foreign key to user planning slot type id.

globally unique identifier

Required

date_from

Date from,

date
date_to

Date to,

date
description

Description of user planning slot.

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "7379f82e-83be-4772-8ea0-fbbce26ff5b6",
  "user_id": "59168653-fd34-4f7d-ae96-83888a5d1b6f",
  "user_planning_slot_type_id": "1a99573e-2d8d-4cb1-b8b7-215453b420db",
  "date_from": "2026-11-06T19:49:25.6288681+00:00",
  "date_to": "2026-11-06T19:49:25.6288681+00:00",
  "description": "sample string 6",
  "modified_dateutc": "2026-11-06T19:49:25.6288681+00:00"
}